## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemWithParam Class Reference

`#include <ElemWithParam.hpp>`

Inheritance diagram for ElemWithParam

Collaboration diagram for ElemWithParam:

List of all members.

## Public Methods

- ElemWithParam ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:with-param" element. More...
- virtual ~ElemWithParam ()
- const XalanQName& getQName () const
    Retrieves qualified name of object. More...
- const XPath* getSelectPattern () const
    Retrieve XPath corresponding to "select" attribute. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...

## Constructor & Destructor Documentation

ElemWithParam::ElemWithParam ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:with-param" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemWithParam::~ElemWithParam ( | )`[virtual]`

## Member Function Documentation

virtual const XalanDOMString& ElemWithParam::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

const XalanQName & ElemWithParam::getQName ( | ) const`[]`

Retrieves qualified name of object.

Returns:
  qualified name

const XPath * ElemWithParam::getSelectPattern ( | ) const`[]`

Retrieve XPath corresponding to "select" attribute.

Returns:
  pointer to XPath for select pattern

The documentation for this class was generated from the following file:

- ElemWithParam.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.